# Method: projects.locations.registrations.renewDomain

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/renewDomain#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/renewDomain#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/renewDomain#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/renewDomain#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/renewDomain#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/renewDomain#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/renewDomain#try-it)

Renews a recently expired domain. This method can only be called on domains that expired in the previous 30 days. After the renewal, the new expiration time of the domain is one year after the old expiration time and you are charged a `yearlyPrice` for the renewal.

### HTTP request

`POST https://domains.googleapis.com/v1/{registration=projects/*/locations/*/registrations/*}:renewDomain`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `registration` | `string` Required. The name of the `Registration` whish is being renewed, in the format `projects/*/locations/*/registrations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `registration`: - `domains.registrations.configureManagement` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "yearlyPrice": { object (`https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/Money`) }, "validateOnly": boolean } ``` |

| Fields ||
|---|---|
| `yearlyPrice` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/Money`)`` Required. Acknowledgement of the price to renew the domain for one year. To get the price, see [Cloud Domains pricing](https://cloud.google.com/domains/pricing). If not provided, the expected price is returned in the error message. |
| `validateOnly` | `boolean` Optional. When true, only validation is performed, without actually renewing the domain. For more information, see [Request validation](https://cloud.google.com/apis/design/design_patterns#request_validation) |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).